Index: test/edu/ucsb/nceas/metacat/dataone/MNodeServiceTest.java
===================================================================
--- test/edu/ucsb/nceas/metacat/dataone/MNodeServiceTest.java	(revision 6531)
+++ test/edu/ucsb/nceas/metacat/dataone/MNodeServiceTest.java	(revision 6532)
@@ -831,7 +831,7 @@
       AccessRule allow = new AccessRule();
       allow.addPermission(Permission.WRITE);
       Subject publicSubject = new Subject();
-      publicSubject.setValue(Constants.PUBLIC_SUBJECT);
+      publicSubject.setValue(Constants.SUBJECT_PUBLIC);
       allow.addSubject(publicSubject);
       accessPolicy.addAllow(allow);
       
Index: test/edu/ucsb/nceas/metacat/dataone/CNodeServiceTest.java
===================================================================
--- test/edu/ucsb/nceas/metacat/dataone/CNodeServiceTest.java	(revision 6531)
+++ test/edu/ucsb/nceas/metacat/dataone/CNodeServiceTest.java	(revision 6532)
@@ -368,7 +368,7 @@
 			AccessRule accessRule = new AccessRule();
 			accessRule.addPermission(Permission.WRITE);
 			Subject publicSubject = new Subject();
-			publicSubject.setValue(Constants.PUBLIC_SUBJECT);
+			publicSubject.setValue(Constants.SUBJECT_PUBLIC);
 			accessRule.addSubject(publicSubject);
 			accessPolicy.addAllow(accessRule);
 			// set it
@@ -396,7 +396,7 @@
 			assertEquals(guid.getValue(), retGuid.getValue());
 			// check it
 			Subject publicSubject = new Subject();
-			publicSubject.setValue(Constants.PUBLIC_SUBJECT);
+			publicSubject.setValue(Constants.SUBJECT_PUBLIC);
 			session.setSubject(publicSubject);
 			// public read
 			boolean result = CNodeService.getInstance().isAuthorized(session, guid, Permission.READ);
Index: test/edu/ucsb/nceas/metacat/dataone/D1NodeServiceTest.java
===================================================================
--- test/edu/ucsb/nceas/metacat/dataone/D1NodeServiceTest.java	(revision 6531)
+++ test/edu/ucsb/nceas/metacat/dataone/D1NodeServiceTest.java	(revision 6532)
@@ -173,7 +173,7 @@
         AccessRule allow = new AccessRule();
         allow.addPermission(Permission.READ);
         Subject publicSubject = new Subject();
-        publicSubject.setValue(Constants.PUBLIC_SUBJECT);
+        publicSubject.setValue(Constants.SUBJECT_PUBLIC);
 		allow.addSubject(publicSubject);
 		accessPolicy.addAllow(allow);
         sm.setAccessPolicy(accessPolicy);
Index: lib/d1_libclient_java-0.6.4-SNAPSHOT.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: lib/d1_common_java-0.6.4-SNAPSHOT.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: src/edu/ucsb/nceas/metacat/dataone/MNodeService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/MNodeService.java	(revision 6531)
+++ src/edu/ucsb/nceas/metacat/dataone/MNodeService.java	(revision 6532)
@@ -169,12 +169,12 @@
 
         String localId = null;
         boolean allowed = false;
-        String username = Constants.PUBLIC_SUBJECT;
+        String username = Constants.SUBJECT_PUBLIC;
         String[] groupnames = null;
         if (session != null) {
             username = session.getSubject().getValue();
-            if (session.getSubjectList() != null) {
-                List<Group> groupList = session.getSubjectList().getGroupList();
+            if (session.getSubjectInfo() != null) {
+                List<Group> groupList = session.getSubjectInfo().getGroupList();
                 if (groupList != null) {
                     groupnames = new String[groupList.size()];
                     for (int i = 0; i > groupList.size(); i++) {
@@ -872,7 +872,7 @@
         logMetacat.debug("Synchronization for the object identified by " + syncFailed.getPid() + " failed from " + syncFailed.getNodeId()
                 + " Logging the event to the Metacat EventLog as a 'syncFailed' event.");
         // TODO: use the event type enum when the SYNCHRONIZATION_FAILED event is added
-        String principal = Constants.PUBLIC_SUBJECT;
+        String principal = Constants.SUBJECT_PUBLIC;
         if (session != null && session.getSubject() != null) {
         	principal = session.getSubject().getValue();
         }
Index: src/edu/ucsb/nceas/metacat/dataone/D1NodeService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/D1NodeService.java	(revision 6531)
+++ src/edu/ucsb/nceas/metacat/dataone/D1NodeService.java	(revision 6532)
@@ -66,6 +66,7 @@
 import org.dataone.service.types.v1.Person;
 import org.dataone.service.types.v1.Session;
 import org.dataone.service.types.v1.Subject;
+import org.dataone.service.types.v1.SubjectInfo;
 import org.dataone.service.types.v1.SubjectList;
 import org.dataone.service.types.v1.SystemMetadata;
 import org.dataone.service.types.v1.util.ChecksumUtil;
@@ -155,7 +156,7 @@
 
     // be sure the user is authenticated for create()
     if (subject == null || subject.getValue() == null || 
-        subject.getValue().toLowerCase().equals(Constants.PUBLIC_SUBJECT) ) {
+        subject.getValue().toLowerCase().equals(Constants.SUBJECT_PUBLIC) ) {
       throw new NotAuthorized("1100", "The provided identity does not have " +
         "permission to WRITE to the Node.");
       
@@ -487,7 +488,7 @@
     }
     
 	// log the read event
-    String principal = Constants.PUBLIC_SUBJECT;
+    String principal = Constants.SUBJECT_PUBLIC;
     if (session != null && session.getSubject() != null) {
     	principal = session.getSubject().getValue();
     }
@@ -618,15 +619,15 @@
 	    if (subject != null) {
 	    	subjects.add(subject);
 	    }
-	    SubjectList subjectList = session.getSubjectList();
-	    if (subjectList != null) {
-	    	List<Person> personList = subjectList.getPersonList();
+	    SubjectInfo subjecInfo = session.getSubjectInfo();
+	    if (subjecInfo != null) {
+	    	List<Person> personList = subjecInfo.getPersonList();
 	    	if (personList != null) {
 			    for (Person p: personList) {
 			      subjects.add(p.getSubject());
 			    }
 	    	}
-	    	List<Group> groupList = subjectList.getGroupList();
+	    	List<Group> groupList = subjecInfo.getGroupList();
 	    	if (groupList != null) {
 			    for (Group g: groupList) {
 			      subjects.add(g.getSubject());
@@ -637,7 +638,7 @@
     
     // add public subject
     Subject publicSubject = new Subject();
-    publicSubject.setValue(Constants.PUBLIC_SUBJECT);
+    publicSubject.setValue(Constants.SUBJECT_PUBLIC);
     subjects.add(publicSubject);
     
     // get the system metadata
@@ -818,12 +819,12 @@
     doctext[0] = xml;
     params.put("doctext", doctext);
     
-    String username = Constants.PUBLIC_SUBJECT;
+    String username = Constants.SUBJECT_PUBLIC;
     String[] groupnames = null;
     if (session != null ) {
     	username = session.getSubject().getValue();
-    	if (session.getSubjectList() != null) {
-    		List<Group> groupList = session.getSubjectList().getGroupList();
+    	if (session.getSubjectInfo() != null) {
+    		List<Group> groupList = session.getSubjectInfo().getGroupList();
     		if (groupList != null) {
     			groupnames = new String[groupList.size()];
     			for (int i = 0; i > groupList.size(); i++ ) {
@@ -867,12 +868,12 @@
   protected String insertDataObject(InputStream object, Identifier pid, 
           Session session) throws ServiceFailure {
       
-    String username = Constants.PUBLIC_SUBJECT;
+    String username = Constants.SUBJECT_PUBLIC;
     String[] groupnames = null;
     if (session != null ) {
     	username = session.getSubject().getValue();
-    	if (session.getSubjectList() != null) {
-    		List<Group> groupList = session.getSubjectList().getGroupList();
+    	if (session.getSubjectInfo() != null) {
+    		List<Group> groupList = session.getSubjectInfo().getGroupList();
     		if (groupList != null) {
     			groupnames = new String[groupList.size()];
     			for (int i = 0; i > groupList.size(); i++ ) {