Index: src/upgrade-db-to-1.10.0-postgres.sql
===================================================================
--- src/upgrade-db-to-1.10.0-postgres.sql	(revision 6549)
+++ src/upgrade-db-to-1.10.0-postgres.sql	(nonexistent)
@@ -1,82 +0,0 @@
-CREATE TABLE systemMetadata (
-	guid   text,          -- the globally unique string identifier of the object that the system metadata describes
-	date_uploaded TIMESTAMP, -- the date/time the document was first submitted
-	rights_holder VARCHAR(250), --the user who has rights to the document, usually the first persons to upload it
-	checksum VARCHAR(512), --the checksum of the doc using the given algorithm (see below)
-	checksum_algorithm VARCHAR(250), --the algorithm used to calculate the checksum
-	origin_member_node VARCHAR(250), --the member node where the document was first uploaded
-	authoritive_member_node VARCHAR(250), --the member node that currently controls the document
-	date_modified TIMESTAMP, -- the last date/time that the file was changed
-	submitter VARCHAR(256), -- the user who originally submitted the doc
-	object_format VARCHAR(256), --the format of the object
-	size VARCHAR(256), --the size of the object
-	replication_allowed boolean,	 -- replication allowed
-	number_replicas INT8, 	-- the number of replicas allowed
-	obsoletes   text,       -- the identifier that this record obsoletes
-	obsoleted_by   text,     -- the identifier of the record that replaces this record
-	CONSTRAINT systemMetadata_pk PRIMARY KEY (guid)
-);
-
-CREATE TABLE systemMetadataReplicationPolicy (
-	guid text,	-- the globally unique string identifier of the object that the system metadata describes
-	member_node VARCHAR(250),	 -- replication member node
-	policy text,	 -- the policy (preferred, blocked, etc...TBD)
-	CONSTRAINT systemMetadataReplicationPolicy_fk 
-		FOREIGN KEY (guid) REFERENCES systemMetadata
-);
-
-CREATE TABLE systemMetadataReplicationStatus (
-	guid text,	-- the globally unique string identifier of the object that the system metadata describes
-	member_node VARCHAR(250),	 -- replication member node
-	status VARCHAR(250),	 -- replication status
-	date_verified TIMESTAMP, 	-- the date replication was verified   
-	CONSTRAINT systemMetadataReplicationStatus_fk 
-		FOREIGN KEY (guid) REFERENCES systemMetadata
-);
-
-CREATE TABLE identifier (
-   guid   text,          -- the globally unique string identifier
-   docid  VARCHAR(250),  -- the local document id #
-   rev    INT8,          -- the revision part of the local identifier
-   CONSTRAINT identifier_pk PRIMARY KEY (guid)
-);
-
-/*
- * add the nodedatadate column to the tables that need it 
- */
-ALTER TABLE xml_nodes ADD COLUMN nodedatadate TIMESTAMP;
-ALTER TABLE xml_nodes_revisions ADD COLUMN nodedatadate TIMESTAMP;
-ALTER TABLE xml_path_index ADD COLUMN nodedatadate TIMESTAMP;
-CREATE INDEX xml_path_index_idx5 ON xml_path_index (nodedatadate);
-
-/*
- * Replication changes to support DataONE System Metadata replication
- */
-ALTER TABLE xml_replication ADD COLUMN systemmetadatareplicate INT8;
-/*
- *  Allow guid in xml_access table (for system metadata)
-*/
-ALTER TABLE xml_access ADD COLUMN guid text;
-
-/**
- * track the user-agent for the request
- */
-ALTER TABLE acces_log ADD COLUMN user_agent VARCHAR(512);
-
-/*
- * Register the DataONE schemas
- */
-
-INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('Schema', 'http://ns.dataone.org/service/types/0.6.4', '/schema/D1_SCHEMA_0_6_4/dataoneTypes.xsd');
-  
-INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('Schema', '@eml2_1_1namespace@', '/schema/eml-2.1.1/eml.xsd');  
-/*
- * update the database version
- */
-UPDATE db_version SET status=0;
-
-INSERT INTO db_version (version, status, date_created) 
-  VALUES ('1.10.0', 1, CURRENT_DATE);
-
Index: src/upgrade-db-to-1.10.0-oracle.sql
===================================================================
--- src/upgrade-db-to-1.10.0-oracle.sql	(revision 6549)
+++ src/upgrade-db-to-1.10.0-oracle.sql	(nonexistent)
@@ -1,82 +0,0 @@
-CREATE TABLE systemMetadata (
-   guid   VARCHAR2(2000),    -- the globally unique string identifier
-   date_uploaded DATE, -- the date/time the document was first submitted
-   rights_holder VARCHAR2(250), --the user who has rights to the document, usually the first persons to upload it
-   checksum VARCHAR2(512), --the checksum of the doc using the given algorithm (see below)
-   checksum_algorithm VARCHAR2(250), --the algorithm used to calculate the checksum
-   origin_member_node VARCHAR2(250), --the member node where the document was first uploaded
-   authoritive_member_node VARCHAR2(250), --the member node that currently controls the document
-   date_modified DATE, -- the last date/time that the file was changed
-   submitter VARCHAR2(256), -- the user who originally submitted the doc
-   object_format VARCHAR2(256), --the format of the object
-   size VARCHAR2(256), --the size of the object
-   replication_allowed boolean,	 -- replication allowed
-   number_replicas NUMBER(8), 	-- the number of replicas allowed
-   obsoletes   VARCHAR2(2000),    -- the identifier of the record that this replaces
-   obsoleted_by   VARCHAR2(2000),    -- the identifier of the record that replaces this record
-   CONSTRAINT systemMetadata_pk 
-		PRIMARY KEY (guid)
-)
-
-CREATE TABLE systemMetadataReplicationPolicy (
-	guid VARCHAR2(2000),	-- the globally unique string identifier of the object that the system metadata describes
-	member_node VARCHAR(250),	 -- replication member node
-	policy VARCHAR2(2000),	 -- the policy (preferred, blocked, etc...TBD)
-	CONSTRAINT systemMetadataReplicationPolicy_fk 
-		FOREIGN KEY (guid) REFERENCES systemMetadata
-);
-
-CREATE TABLE systemMetadataReplicationStatus (
-	guid VARCHAR2(2000),	-- the globally unique string identifier of the object that the system metadata describes
-	member_node VARCHAR(250),	 -- replication member node
-	status VARCHAR(250),	 -- replication status
-	date_verified DATE, 	-- the date replication was verified   
-	CONSTRAINT systemMetadataReplicationStatus_fk 
-		FOREIGN KEY (guid) REFERENCES systemMetadata
-);
-
-CREATE TABLE identifier (
-   guid   VARCHAR2(2000), -- the globally unique string identifier
-   docid  VARCHAR2(250),  -- the local document id #
-   rev    NUMBER(8)       -- the revision part of the local identifier
-);
-
-/*
- * Replication changes to support DataONE System Metadata replication
- */
-ALTER TABLE xml_replication ADD COLUMN systemmetadatareplicate NUMBER(1);
-/*
- *  Allow guid in xml_access table (for system metadata)
-*/
-ALTER TABLE xml_access ADD COLUMN guid VARCHAR2(2000);
-
-/**
- * track the user-agent for the request
- */
-ALTER TABLE acces_log ADD COLUMN user_agent VARCHAR2(512);
-
-/*
- * add the nodedatadate column to xml_nodes 
- * TODO: load the data into it (java?)
- */
-ALTER TABLE xml_nodes ADD COLUMN nodedatadate TIMESTAMP;
-ALTER TABLE xml_nodes_revisions ADD COLUMN nodedatadate TIMESTAMP;
-ALTER TABLE xml_path_index ADD COLUMN nodedatadate TIMESTAMP;
-CREATE INDEX xml_path_index_idx4 ON xml_path_index (nodedatadate);
-
-/*
- * Register the DataONE schemas
- */
-INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('Schema', 'http://ns.dataone.org/service/types/0.6.4', '/schema/D1_SCHEMA_0_6_4/dataoneTypes.xsd');
-  
-INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('Schema', '@eml2_1_1namespace@', '/schema/eml-2.1.1/eml.xsd');
-
-/*
- * update the database version
- */
-UPDATE db_version SET status=0;
-
-INSERT INTO db_version (version, status, date_created) 
-  VALUES ('1.10.0', 1, CURRENT_DATE);
Index: src/edu/ucsb/nceas/metacat/admin/upgrade/Upgrade1_10_0.java
===================================================================
--- src/edu/ucsb/nceas/metacat/admin/upgrade/Upgrade1_10_0.java	(revision 6549)
+++ src/edu/ucsb/nceas/metacat/admin/upgrade/Upgrade1_10_0.java	(nonexistent)
@@ -1,66 +0,0 @@
-package edu.ucsb.nceas.metacat.admin.upgrade;
-/**
- *  '$RCSfile$'
- *    Purpose: A Class for upgrading the database to version 1.5
- *  Copyright: 2000 Regents of the University of California and the
- *             National Center for Ecological Analysis and Synthesis
- *    Authors: Saurabh Garg
- *
- *   '$Author$'
- *     '$Date$'
- * '$Revision$'
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- */
-
-
-import edu.ucsb.nceas.metacat.admin.AdminException;
-import edu.ucsb.nceas.metacat.properties.PropertyService;
-import edu.ucsb.nceas.utilities.SortedProperties;
-
-public class Upgrade1_10_0 implements UpgradeUtilityInterface {
-
-    public boolean upgrade() throws AdminException {
-        boolean success = true;
-        
-        // node data datetime
-        UpgradeNodeDataDatetime dateTimeUpgrade = new UpgradeNodeDataDatetime();
-        success = dateTimeUpgrade.upgrade();
-        
-        // dataone system metadata generation
-        
-        
-    	return success;
-    }
-    
-    public static void main(String [] ags){
-
-        try {
-        	// set up the properties based on the test/deployed configuration of the workspace
-        	SortedProperties testProperties = 
-				new SortedProperties("test/test.properties");
-			testProperties.load();
-			String metacatContextDir = testProperties.getProperty("metacat.contextDir");
-			PropertyService.getInstance(metacatContextDir + "/WEB-INF");
-			// now run it
-            Upgrade1_10_0 upgrader = new Upgrade1_10_0();
-	        upgrader.upgrade();
-	        
-        } catch (Exception ex) {
-            System.out.println("Exception:" + ex.getMessage());
-            ex.printStackTrace();
-        }
-    }
-}

Property changes on: src/edu/ucsb/nceas/metacat/admin/upgrade/Upgrade1_10_0.java
___________________________________________________________________
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:keywords
## -1 +0,0 ##
-Author Date Id Revision
\ No newline at end of property
Index: lib/metacat.properties
===================================================================
--- lib/metacat.properties	(revision 6549)
+++ lib/metacat.properties	(revision 6550)
@@ -70,10 +70,10 @@
 database.upgradeVersion.1.9.3=upgrade-db-to-1.9.3
 database.upgradeVersion.1.9.4=upgrade-db-to-1.9.4
 database.upgradeVersion.1.9.5=upgrade-db-to-1.9.5
-database.upgradeVersion.1.10.0=upgrade-db-to-1.10.0
+database.upgradeVersion.2.0.0=upgrade-db-to-2.0.0
 ## for running java-based utilities
 database.upgradeUtility.1.5.0=edu.ucsb.nceas.metacat.admin.upgrade.Upgrade1_5_0
-database.upgradeUtility.1.10.0=edu.ucsb.nceas.metacat.admin.upgrade.Upgrade1_10_0
+database.upgradeUtility.2.0.0=edu.ucsb.nceas.metacat.admin.upgrade.Upgrade2_0_0
 database.initialConnections=5
 database.incrementConnections=5
 database.maximumConnections=200
Index: src/upgrade-db-to-2.0.0-oracle.sql
===================================================================
--- src/upgrade-db-to-2.0.0-oracle.sql	(nonexistent)
+++ src/upgrade-db-to-2.0.0-oracle.sql	(revision 6550)
@@ -0,0 +1,82 @@
+CREATE TABLE systemMetadata (
+   guid   VARCHAR2(2000),    -- the globally unique string identifier
+   date_uploaded DATE, -- the date/time the document was first submitted
+   rights_holder VARCHAR2(250), --the user who has rights to the document, usually the first persons to upload it
+   checksum VARCHAR2(512), --the checksum of the doc using the given algorithm (see below)
+   checksum_algorithm VARCHAR2(250), --the algorithm used to calculate the checksum
+   origin_member_node VARCHAR2(250), --the member node where the document was first uploaded
+   authoritive_member_node VARCHAR2(250), --the member node that currently controls the document
+   date_modified DATE, -- the last date/time that the file was changed
+   submitter VARCHAR2(256), -- the user who originally submitted the doc
+   object_format VARCHAR2(256), --the format of the object
+   size VARCHAR2(256), --the size of the object
+   replication_allowed boolean,	 -- replication allowed
+   number_replicas NUMBER(8), 	-- the number of replicas allowed
+   obsoletes   VARCHAR2(2000),    -- the identifier of the record that this replaces
+   obsoleted_by   VARCHAR2(2000),    -- the identifier of the record that replaces this record
+   CONSTRAINT systemMetadata_pk 
+		PRIMARY KEY (guid)
+)
+
+CREATE TABLE systemMetadataReplicationPolicy (
+	guid VARCHAR2(2000),	-- the globally unique string identifier of the object that the system metadata describes
+	member_node VARCHAR(250),	 -- replication member node
+	policy VARCHAR2(2000),	 -- the policy (preferred, blocked, etc...TBD)
+	CONSTRAINT systemMetadataReplicationPolicy_fk 
+		FOREIGN KEY (guid) REFERENCES systemMetadata
+);
+
+CREATE TABLE systemMetadataReplicationStatus (
+	guid VARCHAR2(2000),	-- the globally unique string identifier of the object that the system metadata describes
+	member_node VARCHAR(250),	 -- replication member node
+	status VARCHAR(250),	 -- replication status
+	date_verified DATE, 	-- the date replication was verified   
+	CONSTRAINT systemMetadataReplicationStatus_fk 
+		FOREIGN KEY (guid) REFERENCES systemMetadata
+);
+
+CREATE TABLE identifier (
+   guid   VARCHAR2(2000), -- the globally unique string identifier
+   docid  VARCHAR2(250),  -- the local document id #
+   rev    NUMBER(8)       -- the revision part of the local identifier
+);
+
+/*
+ * Replication changes to support DataONE System Metadata replication
+ */
+ALTER TABLE xml_replication ADD COLUMN systemmetadatareplicate NUMBER(1);
+/*
+ *  Allow guid in xml_access table (for system metadata)
+*/
+ALTER TABLE xml_access ADD COLUMN guid VARCHAR2(2000);
+
+/**
+ * track the user-agent for the request
+ */
+ALTER TABLE acces_log ADD COLUMN user_agent VARCHAR2(512);
+
+/*
+ * add the nodedatadate column to xml_nodes 
+ * TODO: load the data into it (java?)
+ */
+ALTER TABLE xml_nodes ADD COLUMN nodedatadate TIMESTAMP;
+ALTER TABLE xml_nodes_revisions ADD COLUMN nodedatadate TIMESTAMP;
+ALTER TABLE xml_path_index ADD COLUMN nodedatadate TIMESTAMP;
+CREATE INDEX xml_path_index_idx4 ON xml_path_index (nodedatadate);
+
+/*
+ * Register the DataONE schemas
+ */
+INSERT INTO xml_catalog (entry_type, public_id, system_id)
+  VALUES ('Schema', 'http://ns.dataone.org/service/types/0.6.4', '/schema/D1_SCHEMA_0_6_4/dataoneTypes.xsd');
+  
+INSERT INTO xml_catalog (entry_type, public_id, system_id)
+  VALUES ('Schema', '@eml2_1_1namespace@', '/schema/eml-2.1.1/eml.xsd');
+
+/*
+ * update the database version
+ */
+UPDATE db_version SET status=0;
+
+INSERT INTO db_version (version, status, date_created) 
+  VALUES ('2.0.0', 1, CURRENT_DATE);
Index: src/loaddtdschema-oracle.sql
===================================================================
--- src/loaddtdschema-oracle.sql	(revision 6549)
+++ src/loaddtdschema-oracle.sql	(revision 6550)
@@ -54,4 +54,4 @@
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('Schema', 'http://ns.dataone.org/service/types/0.6.4', '/schema/D1_SCHEMA_0_6_4/dataoneTypes.xsd');  
 INSERT INTO db_version (version, status, date_created) 
-  VALUES ('1.10.0',1,CURRENT_DATE);
+  VALUES ('2.0.0',1,CURRENT_DATE);
Index: src/upgrade-db-to-2.0.0-postgres.sql
===================================================================
--- src/upgrade-db-to-2.0.0-postgres.sql	(nonexistent)
+++ src/upgrade-db-to-2.0.0-postgres.sql	(revision 6550)
@@ -0,0 +1,82 @@
+CREATE TABLE systemMetadata (
+	guid   text,          -- the globally unique string identifier of the object that the system metadata describes
+	date_uploaded TIMESTAMP, -- the date/time the document was first submitted
+	rights_holder VARCHAR(250), --the user who has rights to the document, usually the first persons to upload it
+	checksum VARCHAR(512), --the checksum of the doc using the given algorithm (see below)
+	checksum_algorithm VARCHAR(250), --the algorithm used to calculate the checksum
+	origin_member_node VARCHAR(250), --the member node where the document was first uploaded
+	authoritive_member_node VARCHAR(250), --the member node that currently controls the document
+	date_modified TIMESTAMP, -- the last date/time that the file was changed
+	submitter VARCHAR(256), -- the user who originally submitted the doc
+	object_format VARCHAR(256), --the format of the object
+	size VARCHAR(256), --the size of the object
+	replication_allowed boolean,	 -- replication allowed
+	number_replicas INT8, 	-- the number of replicas allowed
+	obsoletes   text,       -- the identifier that this record obsoletes
+	obsoleted_by   text,     -- the identifier of the record that replaces this record
+	CONSTRAINT systemMetadata_pk PRIMARY KEY (guid)
+);
+
+CREATE TABLE systemMetadataReplicationPolicy (
+	guid text,	-- the globally unique string identifier of the object that the system metadata describes
+	member_node VARCHAR(250),	 -- replication member node
+	policy text,	 -- the policy (preferred, blocked, etc...TBD)
+	CONSTRAINT systemMetadataReplicationPolicy_fk 
+		FOREIGN KEY (guid) REFERENCES systemMetadata
+);
+
+CREATE TABLE systemMetadataReplicationStatus (
+	guid text,	-- the globally unique string identifier of the object that the system metadata describes
+	member_node VARCHAR(250),	 -- replication member node
+	status VARCHAR(250),	 -- replication status
+	date_verified TIMESTAMP, 	-- the date replication was verified   
+	CONSTRAINT systemMetadataReplicationStatus_fk 
+		FOREIGN KEY (guid) REFERENCES systemMetadata
+);
+
+CREATE TABLE identifier (
+   guid   text,          -- the globally unique string identifier
+   docid  VARCHAR(250),  -- the local document id #
+   rev    INT8,          -- the revision part of the local identifier
+   CONSTRAINT identifier_pk PRIMARY KEY (guid)
+);
+
+/*
+ * add the nodedatadate column to the tables that need it 
+ */
+ALTER TABLE xml_nodes ADD COLUMN nodedatadate TIMESTAMP;
+ALTER TABLE xml_nodes_revisions ADD COLUMN nodedatadate TIMESTAMP;
+ALTER TABLE xml_path_index ADD COLUMN nodedatadate TIMESTAMP;
+CREATE INDEX xml_path_index_idx5 ON xml_path_index (nodedatadate);
+
+/*
+ * Replication changes to support DataONE System Metadata replication
+ */
+ALTER TABLE xml_replication ADD COLUMN systemmetadatareplicate INT8;
+/*
+ *  Allow guid in xml_access table (for system metadata)
+*/
+ALTER TABLE xml_access ADD COLUMN guid text;
+
+/**
+ * track the user-agent for the request
+ */
+ALTER TABLE acces_log ADD COLUMN user_agent VARCHAR(512);
+
+/*
+ * Register the DataONE schemas
+ */
+
+INSERT INTO xml_catalog (entry_type, public_id, system_id)
+  VALUES ('Schema', 'http://ns.dataone.org/service/types/0.6.4', '/schema/D1_SCHEMA_0_6_4/dataoneTypes.xsd');
+  
+INSERT INTO xml_catalog (entry_type, public_id, system_id)
+  VALUES ('Schema', '@eml2_1_1namespace@', '/schema/eml-2.1.1/eml.xsd');  
+/*
+ * update the database version
+ */
+UPDATE db_version SET status=0;
+
+INSERT INTO db_version (version, status, date_created) 
+  VALUES ('2.0.0', 1, CURRENT_DATE);
+
Index: src/loaddtdschema-postgres.sql
===================================================================
--- src/loaddtdschema-postgres.sql	(revision 6549)
+++ src/loaddtdschema-postgres.sql	(revision 6550)
@@ -54,4 +54,4 @@
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('Schema', 'http://ns.dataone.org/service/types/0.6.4', '/schema/D1_SCHEMA_0_6_4/dataoneTypes.xsd');
 INSERT INTO db_version (version, status, date_created) 
-  VALUES ('1.10.0',1,CURRENT_DATE);
+  VALUES ('2.0.0',1,CURRENT_DATE);
Index: src/edu/ucsb/nceas/metacat/admin/upgrade/UpgradeNodeDataDatetime.java
===================================================================
--- src/edu/ucsb/nceas/metacat/admin/upgrade/UpgradeNodeDataDatetime.java	(revision 6549)
+++ src/edu/ucsb/nceas/metacat/admin/upgrade/UpgradeNodeDataDatetime.java	(revision 6550)
@@ -131,7 +131,7 @@
 	        sqlca.close();
     	} catch (Exception e) {
     		e.printStackTrace();
-            throw new AdminException("Error upgrading system to 1.10.0: " + e.getMessage());
+            throw new AdminException("Error upgrading system to 2.0.0: " + e.getMessage());
         }
     	return true;
     }
Index: src/edu/ucsb/nceas/metacat/admin/upgrade/Upgrade2_0_0.java
===================================================================
--- src/edu/ucsb/nceas/metacat/admin/upgrade/Upgrade2_0_0.java	(nonexistent)
+++ src/edu/ucsb/nceas/metacat/admin/upgrade/Upgrade2_0_0.java	(revision 6550)
@@ -0,0 +1,66 @@
+package edu.ucsb.nceas.metacat.admin.upgrade;
+/**
+ *  '$RCSfile$'
+ *    Purpose: A Class for upgrading the database to version 1.5
+ *  Copyright: 2000 Regents of the University of California and the
+ *             National Center for Ecological Analysis and Synthesis
+ *    Authors: Saurabh Garg
+ *
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+
+
+import edu.ucsb.nceas.metacat.admin.AdminException;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
+import edu.ucsb.nceas.utilities.SortedProperties;
+
+public class Upgrade2_0_0 implements UpgradeUtilityInterface {
+
+    public boolean upgrade() throws AdminException {
+        boolean success = true;
+        
+        // node data datetime
+        UpgradeNodeDataDatetime dateTimeUpgrade = new UpgradeNodeDataDatetime();
+        success = dateTimeUpgrade.upgrade();
+        
+        // dataone system metadata generation
+        
+        
+    	return success;
+    }
+    
+    public static void main(String [] ags){
+
+        try {
+        	// set up the properties based on the test/deployed configuration of the workspace
+        	SortedProperties testProperties = 
+				new SortedProperties("test/test.properties");
+			testProperties.load();
+			String metacatContextDir = testProperties.getProperty("metacat.contextDir");
+			PropertyService.getInstance(metacatContextDir + "/WEB-INF");
+			// now run it
+            Upgrade2_0_0 upgrader = new Upgrade2_0_0();
+	        upgrader.upgrade();
+	        
+        } catch (Exception ex) {
+            System.out.println("Exception:" + ex.getMessage());
+            ex.printStackTrace();
+        }
+    }
+}

Property changes on: src/edu/ucsb/nceas/metacat/admin/upgrade/Upgrade2_0_0.java
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property