Index: src/scripts/debian/tomcat5.5
===================================================================
--- src/scripts/debian/tomcat5.5	(revision 6557)
+++ src/scripts/debian/tomcat5.5	(nonexistent)
@@ -1,64 +0,0 @@
-#!/bin/bash
-#
-# /etc/init.d/tomcat5.5 -- startup script for the Tomcat 5 servlet engine customixed
-# for Metacat
-#
-# Written by Michael Daigle <daigle@nceas.ucsb.edu>.
-#
-
-DESC="Tomcat servlet engine"
-export JAVA_HOME=/usr/lib/jvm/java-1.5.0-sun
-export CATALINA_HOME=/usr/share/tomcat5.5
-
-if [ `id -u` -ne 0 ]; then
-	echo "You need root privileges to run this script"
-	exit 1
-fi
-         
-# Make sure tomcat is started with system locale
-if [ -r /etc/default/locale ]; then
-	. /etc/default/locale
-	export LANG
-fi
-
-function start {
-	if [ -z "$JAVA_HOME" ]; then
-		echo "no JDK found - please set JAVA_HOME"
-		exit 1
-	fi
-
-	if [ ! -d "$CATALINA_HOME/conf" ]; then
-		echo "invalid CATALINA_HOME specified"
-		exit 1
-	fi
-
-	log_daemon_msg "Starting $DESC" 
-	$CATALINA_HOME/bin/startup.sh
-	echo 0
-}  
-
-function stop {
-	echo "Stopping $DESC"
-	$CATALINA_HOME/bin/shutdown.sh
-	echo 0
-}
-	
-case "$1" in
-  start)
-	start
-	;;
-  stop)
-	stop
-	;;
-  restart|force-reload)
-	stop
-	sleep 5
-	start
-	;;
-  *)
-	echo "Usage: $0 {start|stop|restart}"
-	exit 1
-	;;
-esac
-
-exit 0
Index: lib/admin/configure-restart.jsp
===================================================================
--- lib/admin/configure-restart.jsp	(revision 6557)
+++ lib/admin/configure-restart.jsp	(revision 6558)
@@ -83,7 +83,7 @@
 <br clear="right"/>
 <p class="section">Restarting Metacat</p>
 <p>The simplest way to restart metacat is to restart the entire servlet engine.
-   For Tomcat, this would mean calling "sudo /etc/init.d/tomcat5.5 restart" or
+   For Tomcat, this would mean calling "sudo /etc/init.d/tomcat6 restart" or
    an equivalent command appropriate to your operating system. After restarting,
    you can access your new Metacat server at the URL:
    <a href="<%= request.getScheme() + "://" + 
Index: lib/admin/metacat-configuration.jsp
===================================================================
--- lib/admin/metacat-configuration.jsp	(revision 6557)
+++ lib/admin/metacat-configuration.jsp	(revision 6558)
@@ -215,7 +215,7 @@
 	<p> Since this is a reconfiguration, you will need to restart Metacat after any changes.</p>
 	
 	<p>The simplest way to restart metacat is to restart the entire servlet engine.
-	   For Tomcat, this would mean calling "sudo /etc/init.d/tomcat5.5 restart" or
+	   For Tomcat, this would mean calling "sudo /etc/init.d/tomcat6 restart" or
 	   an equivalent command appropriate to your operating system. After restarting,
 	   you can access your new Metacat server at the URL:
       <a href="<%= contextURL %>"><%= contextURL  %></a>
Index: src/scripts/debian/control
===================================================================
--- src/scripts/debian/control	(revision 6557)
+++ src/scripts/debian/control	(revision 6558)
@@ -3,7 +3,7 @@
 Section: base
 Priority: optional
 Architecture: all
-Depends: sun-java5-jdk, apache2, libapache2-mod-jk, tomcat5.5, postgresql
+Depends: sun-java6-jdk, apache2, libapache2-mod-jk, tomcat6, postgresql
 Maintainer: Matt Jones <jones@nceas.ucsb.edu>
 Description: Metacat is a metadata cataloging system.
   Metacat is a flexible metadata database. It utilizes XML as a 
Index: src/scripts/debian/postinst
===================================================================
--- src/scripts/debian/postinst	(revision 6557)
+++ src/scripts/debian/postinst	(revision 6558)
@@ -2,8 +2,8 @@
 
 LONG_DATE=`date +%Y%m%d%H%M%S`
 
-TOMCAT_USER=tomcat55
-TOMCAT_HOME=/usr/share/tomcat5.5
+TOMCAT_USER=tomcat6
+TOMCAT_HOME=/usr/share/tomcat6
 SOURCE_DIR=/usr/share/metacat-@metacatVersion@
 
 ###############################################################################
@@ -12,7 +12,7 @@
 
 ## Stop tomcat
 echo "Stopping Tomcat"
-/etc/init.d/tomcat5.5 stop
+/etc/init.d/tomcat6 stop
 
 ## backup the old war file
 if [ -e ${TOMCAT_HOME}/webapps/knb.war ]
@@ -70,23 +70,11 @@
 ## Change ownership of the tomcat directories to be the tomcat user
 echo "changing ownership of ${TOMCAT_HOME} to ${TOMCAT_USER}"
 chown -R ${TOMCAT_USER} ${TOMCAT_HOME} 
-echo "changing ownership of /var/lib/tomcat5.5 to ${TOMCAT_USER}"
-chown -R ${TOMCAT_USER} /var/lib/tomcat5.5
-echo "changing ownership of /etc/tomcat5.5 to ${TOMCAT_USER}"
-chown -R ${TOMCAT_USER} /etc/tomcat5.5
+echo "changing ownership of /var/lib/tomcat6 to ${TOMCAT_USER}"
+chown -R ${TOMCAT_USER} /var/lib/tomcat6
+echo "changing ownership of /etc/tomcat6 to ${TOMCAT_USER}"
+chown -R ${TOMCAT_USER} /etc/tomcat6
 
-## If the tomcat5.5 startup script in the package is different than the one
-## in /etc/init.d, then backup the existing one and copy in the package version.
-TOMCAT_START_SCRIPT_DIFF=`diff ${SOURCE_DIR}/tomcat5.5 /etc/init.d/tomcat5.5`
-if [ "$TOMCAT_START_SCRIPT_DIFF" != "" ]
-then
-  echo "Backing up /etc/init.d/tomcat5.5 to /etc/init.d/tomcat5.5.${LONG_DATE}"
-  mv /etc/init.d/tomcat5.5 /etc/init.d/tomcat5.5.${LONG_DATE}
-  echo "Copying new tomcat5.5 script to /etc/init.d/"
-  cp ${SOURCE_DIR}/tomcat5.5 /etc/init.d/
-  echo "Making /etc/init.d/tomcat5.5 executable"
-  chmod +x /etc/init.d/tomcat5.5
-fi
 
 ###############################################################################
 # Configure Apache
@@ -190,8 +178,8 @@
 echo "starting Tomcat server"
 
 #export JAVA_HOME=/usr/lib/jvm/java-1.5.0-sun
-#/usr/share/tomcat5.5/bin/startup.sh
+#/usr/share/tomcat6/bin/startup.sh
 
-/etc/init.d/tomcat5.5 start
+/etc/init.d/tomcat6 start
 #chmod u+x ${SOURCE_DIR}/delay-tomcat-start
 #${SOURCE_DIR}/delay-tomcat-start &
Index: src/scripts/debian/workers.properties
===================================================================
--- src/scripts/debian/workers.properties	(revision 6557)
+++ src/scripts/debian/workers.properties	(revision 6558)
@@ -1,5 +1,5 @@
-workers.tomcat_home=/usr/share/tomcat5.5
-workers.java_home=/usr/lib/jvm/java-1.5.0-sun
+workers.tomcat_home=/usr/share/tomcat6
+workers.java_home=/usr/lib/jvm/java-1.6.0-sun
 
 worker.list=ajp13
 worker.ajp13.port=8009
Index: src/scripts/debian/knb-ssl
===================================================================
--- src/scripts/debian/knb-ssl	(revision 6557)
+++ src/scripts/debian/knb-ssl	(revision 6558)
@@ -1,10 +1,10 @@
 <IfModule mod_ssl.c>
 NameVirtualHost *:443
 <VirtualHost *:443>
-        DocumentRoot /usr/share/tomcat5.5/webapps/knb
+        DocumentRoot /var/lib/tomcat6/webapps/knb
 
-        ScriptAlias /knb/cgi-bin/ /usr/share/tomcat5.5/webapps/knb/cgi-bin/
-        <Directory "/usr/share/tomcat5.5/webapps/knb/cgi-bin/">
+        ScriptAlias /knb/cgi-bin/ /var/lib/tomcat6/webapps/knb/cgi-bin/
+        <Directory "/var/lib/tomcat6/webapps/knb/cgi-bin/">
                 AllowOverride All
                 Options +ExecCGI -MultiViews +SymLinksIfOwnerMatch
                 Order allow,deny
Index: src/scripts/debian/knb
===================================================================
--- src/scripts/debian/knb	(revision 6557)
+++ src/scripts/debian/knb	(revision 6558)
@@ -1,10 +1,10 @@
 NameVirtualHost *:80
 <VirtualHost *:80>
-        DocumentRoot /usr/share/tomcat5.5/webapps/knb
+        DocumentRoot /var/lib/tomcat6/webapps/knb
         ServerName <your_hostname_here>
 
-        ScriptAlias /knb/cgi-bin/ /usr/share/tomcat5.5/webapps/knb/cgi-bin/
-        <Directory "/usr/share/tomcat5.5/webapps/knb/cgi-bin/">
+        ScriptAlias /knb/cgi-bin/ /var/lib/tomcat6/webapps/knb/cgi-bin/
+        <Directory "/var/lib/tomcat6/webapps/knb/cgi-bin/">
                 AllowOverride All
                 Options +ExecCGI -MultiViews +SymLinksIfOwnerMatch
                 Order allow,deny
Index: src/scripts/debian/delay-tomcat-start
===================================================================
--- src/scripts/debian/delay-tomcat-start	(revision 6557)
+++ src/scripts/debian/delay-tomcat-start	(revision 6558)
@@ -2,4 +2,4 @@
 
 sleep 5
 echo Starting Tomcat
-/etc/init.d/tomcat5.5 start
\ No newline at end of file
+/etc/init.d/tomcat6 start
\ No newline at end of file
Index: docs/dev/troubleshooting.html
===================================================================
--- docs/dev/troubleshooting.html	(revision 6557)
+++ docs/dev/troubleshooting.html	(revision 6558)
@@ -78,13 +78,13 @@
       when Tomcat has been installed on an Ubuntu/Debian system using apt-get install.  
       And the application is started using:
         
-        <div class="code">/etc/init.d/tomcat5.5 start</div>  
+        <div class="code">/etc/init.d/tomcat6 start</div>  
         
       <p>The problem is that the standard startup scripts reference the 
       common java service, jsvc.  Metacat will not run under jsvc.  The solutions are:
       <ul>
       <li>Download the <a href="http://knb.ecoinformatics.org/software/download.html">Metacat binary install package</a>
-       and replace your /etc/init.d/tomcat5.5 startup script with the one provided in the
+       and replace your /etc/init.d/tomcat6 startup script with the one provided in the
        package.</li>
       <li>Run Tomcat from the Tomcat binary directory: <tomcat_home>/bin/startup.sh and 
       <tomcat_home>/bin/shutdown.sh</li>
Index: docs/dev/testing-metacat.html
===================================================================
--- docs/dev/testing-metacat.html	(revision 6557)
+++ docs/dev/testing-metacat.html	(revision 6558)
@@ -149,7 +149,7 @@
   <div class="code">&lt;workspace&gt;/metacat/test/test.properties</div>
   This should only hold one property: metacat.contextDir.  This should point to 
   the context directory for the metacat server you are testing.  For example:
-  <div class="code">metacat.contextDir=/usr/share/tomcat5.5/webapps/knb</div>
+  <div class="code">metacat.contextDir=/var/lib/tomcat6/webapps/knb</div>
   The test classes will use this to determine where to look for the server
   metacat.properties file.</p>
   