Index: lib/d1_common_java-0.6.4-SNAPSHOT.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: lib/d1_common_java-0.6.4-SNAPSHOT.jar
___________________________________________________________________
Deleted: svn:mime-type
## -1 +0,0 ##
-application/octet-stream
\ No newline at end of property
Index: lib/d1_libclient_java-0.6.4-SNAPSHOT.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: lib/d1_libclient_java-0.6.4-SNAPSHOT.jar
___________________________________________________________________
Deleted: svn:mime-type
## -1 +0,0 ##
-application/octet-stream
\ No newline at end of property
Index: test/edu/ucsb/nceas/metacat/dataone/MNodeServiceTest.java
===================================================================
--- test/edu/ucsb/nceas/metacat/dataone/MNodeServiceTest.java	(revision 6560)
+++ test/edu/ucsb/nceas/metacat/dataone/MNodeServiceTest.java	(revision 6561)
@@ -509,7 +509,7 @@
       Identifier pid = MNodeService.getInstance(request).create(session, guid, object, sysmeta);
       DescribeResponse describeResponse = MNodeService.getInstance(request).describe(session, pid);
       assertEquals(describeResponse.getDataONE_Checksum().getValue(), sysmeta.getChecksum().getValue());
-      assertEquals(describeResponse.getDataONE_ObjectFormatIdentifier(), sysmeta.getFmtid());
+      assertEquals(describeResponse.getDataONE_ObjectFormatIdentifier(), sysmeta.getFormatId());
       
     } catch (UnsupportedEncodingException e) {
       e.printStackTrace();
Index: test/edu/ucsb/nceas/metacat/dataone/CNodeServiceTest.java
===================================================================
--- test/edu/ucsb/nceas/metacat/dataone/CNodeServiceTest.java	(revision 6560)
+++ test/edu/ucsb/nceas/metacat/dataone/CNodeServiceTest.java	(revision 6561)
@@ -548,7 +548,7 @@
     try {
 	    
 			String result = 
-				CNodeService.getInstance(request).getFormat(fmtid).getFmtid().getValue();
+				CNodeService.getInstance(request).getFormat(fmtid).getFormatId().getValue();
 	  	System.out.println("Expected result: " + knownFormat);
 	  	System.out.println("Found    result: " + result);
 	  	assertTrue(result.equals(knownFormat));
Index: test/edu/ucsb/nceas/metacat/dataone/D1NodeServiceTest.java
===================================================================
--- test/edu/ucsb/nceas/metacat/dataone/D1NodeServiceTest.java	(revision 6560)
+++ test/edu/ucsb/nceas/metacat/dataone/D1NodeServiceTest.java	(revision 6561)
@@ -150,9 +150,10 @@
 	  throws Exception
 	{
 	    SystemMetadata sm = new SystemMetadata();
+	    sm.setSerialVersion(BigInteger.valueOf(1));
         // set the id
         sm.setIdentifier(id);
-        sm.setFmtid(ObjectFormatCache.getInstance().getFormat("application/octet-stream").getFmtid());
+        sm.setFormatId(ObjectFormatCache.getInstance().getFormat("application/octet-stream").getFormatId());
         // create the checksum
         String checksumS = "test";
         if (object != null) {
Index: lib/d1_libclient_java-1.0.0-SNAPSHOT.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: lib/d1_libclient_java-1.0.0-SNAPSHOT.jar
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: lib/d1_common_java-1.0.0-SNAPSHOT.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: lib/d1_common_java-1.0.0-SNAPSHOT.jar
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: src/upgrade-db-to-2.0.0-oracle.sql
===================================================================
--- src/upgrade-db-to-2.0.0-oracle.sql	(revision 6560)
+++ src/upgrade-db-to-2.0.0-oracle.sql	(revision 6561)
@@ -1,5 +1,6 @@
 CREATE TABLE systemMetadata (
    guid   VARCHAR2(2000),    -- the globally unique string identifier
+   serial_version VARCHAR2(256), --the serial version of the object
    date_uploaded DATE, -- the date/time the document was first submitted
    rights_holder VARCHAR2(250), --the user who has rights to the document, usually the first persons to upload it
    checksum VARCHAR2(512), --the checksum of the doc using the given algorithm (see below)
Index: src/xmltables-oracle.sql
===================================================================
--- src/xmltables-oracle.sql	(revision 6560)
+++ src/xmltables-oracle.sql	(revision 6561)
@@ -404,6 +404,7 @@
  */
 CREATE TABLE systemMetadata (
    guid   VARCHAR2(2000),    -- the globally unique string identifier
+   serial_version VARCHAR2(256), --the serial version of the object   
    date_uploaded DATE, -- the date/time the document was first submitted
    rights_holder VARCHAR2(250), --the user who has rights to the document, usually the first persons to upload it
    checksum VARCHAR2(512), --the checksum of the doc using the given algorithm (see below)
Index: src/upgrade-db-to-2.0.0-postgres.sql
===================================================================
--- src/upgrade-db-to-2.0.0-postgres.sql	(revision 6560)
+++ src/upgrade-db-to-2.0.0-postgres.sql	(revision 6561)
@@ -1,5 +1,6 @@
 CREATE TABLE systemMetadata (
 	guid   text,          -- the globally unique string identifier of the object that the system metadata describes
+	serial_version VARCHAR(256), --the serial version of the object
 	date_uploaded TIMESTAMP, -- the date/time the document was first submitted
 	rights_holder VARCHAR(250), --the user who has rights to the document, usually the first persons to upload it
 	checksum VARCHAR(512), --the checksum of the doc using the given algorithm (see below)
Index: src/xmltables-postgres.sql
===================================================================
--- src/xmltables-postgres.sql	(revision 6560)
+++ src/xmltables-postgres.sql	(revision 6561)
@@ -296,6 +296,7 @@
  */
 CREATE TABLE systemMetadata (
 	guid   text,          -- the globally unique string identifier of the object that the system metadata describes
+	serial_version VARCHAR(256), --the serial version of the object
 	date_uploaded TIMESTAMP, -- the date/time the document was first submitted
 	rights_holder VARCHAR(250), --the user who has rights to the document, usually the first persons to upload it
 	checksum VARCHAR(512), --the checksum of the doc using the given algorithm (see below)
Index: src/edu/ucsb/nceas/metacat/restservice/MNResourceHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/restservice/MNResourceHandler.java	(revision 6560)
+++ src/edu/ucsb/nceas/metacat/restservice/MNResourceHandler.java	(revision 6561)
@@ -405,7 +405,7 @@
 
             if (params.containsKey("formatId")) {
                 String f = params.get("formatId")[0];
-                fmtid = ObjectFormatCache.getInstance().getFormat(f).getFmtid();
+                fmtid = ObjectFormatCache.getInstance().getFormat(f).getFormatId();
             }
             
             if (params.containsKey("fromDate")) {
@@ -676,20 +676,20 @@
             SystemMetadata sm = MNodeService.getInstance(request).getSystemMetadata(session, id);
             
             //set the content type
-            if (sm.getFmtid().getValue().trim().equals(
-            		ObjectFormatCache.getInstance().getFormat("text/csv").getFmtid().getValue()))
+            if (sm.getFormatId().getValue().trim().equals(
+            		ObjectFormatCache.getInstance().getFormat("text/csv").getFormatId().getValue()))
             {
                 response.setContentType("text/csv");
                 response.setHeader("Content-Disposition", "inline; filename=" + id.getValue() + ".csv");
             }
-            else if (sm.getFmtid().getValue().trim().equals(
-            		ObjectFormatCache.getInstance().getFormat("text/plain").getFmtid().getValue()))
+            else if (sm.getFormatId().getValue().trim().equals(
+            		ObjectFormatCache.getInstance().getFormat("text/plain").getFormatId().getValue()))
             {
                 response.setContentType("text/plain");
                 response.setHeader("Content-Disposition", "inline; filename=" + id.getValue() + ".txt");
             } 
-            else if (sm.getFmtid().getValue().trim().equals(
-            		ObjectFormatCache.getInstance().getFormat("application/octet-stream").getFmtid().getValue()))
+            else if (sm.getFormatId().getValue().trim().equals(
+            		ObjectFormatCache.getInstance().getFormat("application/octet-stream").getFormatId().getValue()))
             {
                 response.setContentType("application/octet-stream");
             }
@@ -779,7 +779,7 @@
             ObjectFormatIdentifier fmtid = null;
            
             if ( objectFormat != null ) {
-          	 fmtid = objectFormat.getFmtid();
+          	 fmtid = objectFormat.getFormatId();
           	 
             }
             ObjectList ol = 
Index: src/edu/ucsb/nceas/metacat/restservice/CNResourceHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/restservice/CNResourceHandler.java	(revision 6560)
+++ src/edu/ucsb/nceas/metacat/restservice/CNResourceHandler.java	(revision 6561)
@@ -424,20 +424,20 @@
         SystemMetadata sm = CNodeService.getInstance(request).getSystemMetadata(session, id);
         
         //set the content type
-        if(sm.getFmtid().getValue().trim().equals(
-        		ObjectFormatCache.getInstance().getFormat("text/csv").getFmtid().getValue()))
+        if(sm.getFormatId().getValue().trim().equals(
+        		ObjectFormatCache.getInstance().getFormat("text/csv").getFormatId().getValue()))
         {
             response.setContentType("text/csv");
             response.setHeader("Content-Disposition", "inline; filename=" + id.getValue() + ".csv");
         }
-        else if(sm.getFmtid().getValue().trim().equals(
-        		ObjectFormatCache.getInstance().getFormat("text/plain").getFmtid().getValue()))
+        else if(sm.getFormatId().getValue().trim().equals(
+        		ObjectFormatCache.getInstance().getFormat("text/plain").getFormatId().getValue()))
         {
             response.setContentType("text/plain");
             response.setHeader("Content-Disposition", "inline; filename=" + id.getValue() + ".txt");
         } 
-        else if(sm.getFmtid().getValue().trim().equals(
-        		ObjectFormatCache.getInstance().getFormat("application/octet-stream").getFmtid().getValue()))
+        else if(sm.getFormatId().getValue().trim().equals(
+        		ObjectFormatCache.getInstance().getFormat("application/octet-stream").getFormatId().getValue()))
         {
             response.setContentType("application/octet-stream");
         }
Index: src/edu/ucsb/nceas/metacat/MetacatHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/MetacatHandler.java	(revision 6560)
+++ src/edu/ucsb/nceas/metacat/MetacatHandler.java	(revision 6561)
@@ -3526,6 +3526,7 @@
       
       // create system metadata for the document
       SystemMetadata sysMeta = new SystemMetadata();
+      sysMeta.setSerialVersion(BigInteger.valueOf(1));
       int rev = IdentifierManager.getInstance().getLatestRevForLocalId(localId);
       AccessionNumber accNum = new AccessionNumber(localId, "NONE");
       String guid = null;
@@ -3592,7 +3593,7 @@
       
       // set the object format, fall back to defaults
       try {
-	      fmtid = ObjectFormatCache.getInstance().getFormat(doctype).getFmtid();
+	      fmtid = ObjectFormatCache.getInstance().getFormat(doctype).getFormatId();
 
       } catch (NotFound nfe) {
         
@@ -3600,10 +3601,10 @@
         	// format is not registered, use default
 	        if (doctype.trim().equals("BIN")) {
 	        	fmtid = ObjectFormatCache.getInstance().getFormat(
-	        			"application/octet-stream").getFmtid();
+	        			"application/octet-stream").getFormatId();
 	        
 	        } else {
-	        	fmtid = ObjectFormatCache.getInstance().getFormat("text/plain").getFmtid();
+	        	fmtid = ObjectFormatCache.getInstance().getFormat("text/plain").getFormatId();
 	        }
         
         } catch (NotFound nf) {
@@ -3614,15 +3615,15 @@
 
       }
       
-      sysMeta.setFmtid(fmtid);
+      sysMeta.setFormatId(fmtid);
       logMetacat.debug("The ObjectFormat for " + localId + " is " + fmtid.getValue());
       
       // further parse EML documents to get data object format,
       // describes and describedBy information
-      if ( fmtid == ObjectFormatCache.getInstance().getFormat("eml://ecoinformatics.org/eml-2.0.0").getFmtid() ||
-           fmtid == ObjectFormatCache.getInstance().getFormat("eml://ecoinformatics.org/eml-2.0.1").getFmtid() ||
-           fmtid == ObjectFormatCache.getInstance().getFormat("eml://ecoinformatics.org/eml-2.1.0").getFmtid() ||
-           fmtid == ObjectFormatCache.getInstance().getFormat("eml://ecoinformatics.org/eml-2.1.1").getFmtid() ) {
+      if ( fmtid == ObjectFormatCache.getInstance().getFormat("eml://ecoinformatics.org/eml-2.0.0").getFormatId() ||
+           fmtid == ObjectFormatCache.getInstance().getFormat("eml://ecoinformatics.org/eml-2.0.1").getFormatId() ||
+           fmtid == ObjectFormatCache.getInstance().getFormat("eml://ecoinformatics.org/eml-2.1.0").getFormatId() ||
+           fmtid == ObjectFormatCache.getInstance().getFormat("eml://ecoinformatics.org/eml-2.1.1").getFormatId() ) {
         
         try {
         	
@@ -3643,7 +3644,7 @@
             // default to binary
             if (dataDocMimeType == null) {
                 dataDocMimeType = 
-                	ObjectFormatCache.getInstance().getFormat("application/octet-stream").getFmtid().getValue();
+                	ObjectFormatCache.getInstance().getFormat("application/octet-stream").getFormatId().getValue();
             }
             String dataDocLocalId = "";
             logMetacat.debug("Data local ID: " + dataDocLocalId);
@@ -3684,8 +3685,8 @@
                       logMetacat.debug("Updating system metadata for " + dataGuid.getValue() + " to " + dataDocMimeType);
                       try {
 	                      ObjectFormatIdentifier fmt = 
-	                      ObjectFormatCache.getInstance().getFormat(dataDocMimeType).getFmtid();
-	                      dataSysMeta.setFmtid(fmt);
+	                      ObjectFormatCache.getInstance().getFormat(dataDocMimeType).getFormatId();
+	                      dataSysMeta.setFormatId(fmt);
                       
                       } catch (NotFound nfe) {
                       	logMetacat.debug("Couldn't find format identifier for: " +
Index: src/edu/ucsb/nceas/metacat/util/MetacatPopulator.java
===================================================================
--- src/edu/ucsb/nceas/metacat/util/MetacatPopulator.java	(revision 6560)
+++ src/edu/ucsb/nceas/metacat/util/MetacatPopulator.java	(revision 6561)
@@ -177,7 +177,7 @@
 	                String dataDocMimeType = dataPackage.getEntityList()[j].getDataFormat();
 	                if (dataDocMimeType == null) {
 		                dataDocMimeType = 
-		                	ObjectFormatCache.getInstance().getFormat("application/octet-stream").getFmtid().getValue();
+		                	ObjectFormatCache.getInstance().getFormat("application/octet-stream").getFormatId().getValue();
 	                }
 	                String dataDocLocalId = "";
 	                if (dataDocUrl.trim().startsWith("ecogrid://knb/")) { //we only handle ecogrid urls right now
@@ -202,7 +202,7 @@
 	                    ObjectFormat format = null;
 	                    try {
 	                    	format = ObjectFormatCache.getInstance().getFormat(dataDocMimeType);
-							dataDocSysMeta.setFmtid(format.getFmtid());
+							dataDocSysMeta.setFormatId(format.getFormatId());
 	                    } catch (NotFound e) {
 							System.out.println(e.getMessage());
 						}
@@ -291,6 +291,7 @@
     private SystemMetadata generateSystemMetadata(Document doc)
       throws Exception {
         SystemMetadata sm = new SystemMetadata();
+        sm.setSerialVersion(BigInteger.valueOf(1));
         //set the id
         Identifier id = new Identifier();
         id.setValue(doc.docid.trim());
@@ -306,7 +307,7 @@
                 format = ObjectFormatCache.getInstance().getFormat("text/plain");
             }
         }
-        sm.setFmtid(format.getFmtid());
+        sm.setFormatId(format.getFormatId());
         
         //create the checksum
         ByteArrayInputStream bais = new ByteArrayInputStream(doc.doctext.getBytes(MetaCatServlet.DEFAULT_ENCODING));
Index: src/edu/ucsb/nceas/metacat/dataone/ObjectFormatService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/ObjectFormatService.java	(revision 6560)
+++ src/edu/ucsb/nceas/metacat/dataone/ObjectFormatService.java	(revision 6561)
@@ -240,7 +240,7 @@
 		for (int i = 0; i < listSize; i++) {
 
 			ObjectFormat objectFormat = objectFormatList.getObjectFormat(i);
-			String identifier = objectFormat.getFmtid().getValue();
+			String identifier = objectFormat.getFormatId().getValue();
 			getObjectFormatMap().put(identifier, objectFormat);
 
 		}
Index: src/edu/ucsb/nceas/metacat/dataone/MNodeService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/MNodeService.java	(revision 6560)
+++ src/edu/ucsb/nceas/metacat/dataone/MNodeService.java	(revision 6561)
@@ -482,7 +482,7 @@
 
     	// get system metadata and construct the describe response
         SystemMetadata sysmeta = getSystemMetadata(session, pid);
-        DescribeResponse describeResponse = new DescribeResponse(sysmeta.getFmtid(), sysmeta.getSize(), sysmeta.getDateSysMetadataModified(),
+        DescribeResponse describeResponse = new DescribeResponse(sysmeta.getFormatId(), sysmeta.getSize(), sysmeta.getDateSysMetadataModified(),
                 sysmeta.getChecksum());
 
         return describeResponse;
@@ -802,7 +802,7 @@
                 // if we are filtering by format
                 if (formatId != null) {
                     SystemMetadata sysmeta = IdentifierManager.getInstance().getSystemMetadata(pid.getValue());
-                    if (!sysmeta.getFmtid().getValue().equals(formatId.getValue())) {
+                    if (!sysmeta.getFormatId().getValue().equals(formatId.getValue())) {
                         // does not match
                         continue;
                     }
Index: src/edu/ucsb/nceas/metacat/dataone/MetadataTypeRegister.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/MetadataTypeRegister.java	(revision 6560)
+++ src/edu/ucsb/nceas/metacat/dataone/MetadataTypeRegister.java	(revision 6561)
@@ -58,7 +58,7 @@
             while(vals.hasNext())
             {
                 String val = vals.next();
-                String ofVal = format.getFmtid().getValue();
+                String ofVal = format.getFormatId().getValue();
                 //System.out.println("val: " + val);
                 if(val.trim().equals(ofVal.trim()))
                 {
Index: src/edu/ucsb/nceas/metacat/dataone/D1NodeService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/D1NodeService.java	(revision 6560)
+++ src/edu/ucsb/nceas/metacat/dataone/D1NodeService.java	(revision 6561)
@@ -714,7 +714,7 @@
     boolean isScienceMetadata = false;
     
     try {
-      objectFormat = ObjectFormatCache.getInstance().getFormat(sysmeta.getFmtid());
+      objectFormat = ObjectFormatCache.getInstance().getFormat(sysmeta.getFormatId());
       if ( objectFormat.getFormatType().equals("METADATA") ) {
       	isScienceMetadata = true;
       	
Index: src/edu/ucsb/nceas/metacat/IdentifierManager.java
===================================================================
--- src/edu/ucsb/nceas/metacat/IdentifierManager.java	(revision 6560)
+++ src/edu/ucsb/nceas/metacat/IdentifierManager.java	(revision 6561)
@@ -108,7 +108,7 @@
     public SystemMetadata asSystemMetadata(Date dateUploaded, String rightsHolder,
             String checksum, String checksumAlgorithm, String originMemberNode,
             String authoritativeMemberNode, Date dateModified, String submitter, 
-            String guid, String fmtidStr, BigInteger size) {
+            String guid, String fmtidStr, BigInteger size, BigInteger serialVersion) {
         SystemMetadata sysMeta = new SystemMetadata();
 
         Identifier sysMetaId = new Identifier();
@@ -134,16 +134,17 @@
         sysMeta.setSubmitter(submitterSubject);
         try {
         	ObjectFormatIdentifier fmtid = 
-        		ObjectFormatCache.getInstance().getFormat(fmtidStr).getFmtid();
-        	sysMeta.setFmtid(fmtid);
+        		ObjectFormatCache.getInstance().getFormat(fmtidStr).getFormatId();
+        	sysMeta.setFormatId(fmtid);
         } catch (NotFound nfe) {
           logMetacat.error("The objectFormat " + fmtidStr +
           	" is not registered. Setting the default format id.");
           ObjectFormatIdentifier fmtid = new ObjectFormatIdentifier();
           fmtid.setValue("application/octet-stream");
-          sysMeta.setFmtid(fmtid);
+          sysMeta.setFormatId(fmtid);
         }
         sysMeta.setSize(size);
+        sysMeta.setSerialVersion(serialVersion);
         
         return sysMeta;
     }
@@ -244,13 +245,14 @@
         SystemMetadata sysMeta = new SystemMetadata();
         String sql = "select guid, date_uploaded, rights_holder, checksum, checksum_algorithm, " +
           "origin_member_node, authoritive_member_node, date_modified, submitter, object_format, size, " +
-          "replication_allowed, number_replicas, obsoletes, obsoleted_by " +
+          "replication_allowed, number_replicas, obsoletes, obsoleted_by, serial_version " +
           "from systemmetadata where guid = ?";
         DBConnection dbConn = null;
         int serialNumber = -1;
         Boolean replicationAllowed = new Boolean(false);
         BigInteger numberOfReplicas = new BigInteger("-1");
-        
+        BigInteger serialVersion = new BigInteger("-1");
+
         try 
         {
             // Get a database connection from the pool
@@ -277,10 +279,13 @@
                 numberOfReplicas = new BigInteger(rs.getString(13));
                 String obsoletes = rs.getString(14);
                 String obsoletedBy = rs.getString(15);
+                serialVersion = new BigInteger(rs.getString(16));
 
+
                 Identifier sysMetaId = new Identifier();
                 sysMetaId.setValue(guid);
                 sysMeta.setIdentifier(sysMetaId);
+                sysMeta.setSerialVersion(serialVersion);
                 sysMeta.setDateUploaded(dateUploaded);
                 Subject rightsHolderSubject = new Subject();
                 rightsHolderSubject.setValue(rightsHolder);
@@ -305,14 +310,14 @@
                 sysMeta.setSubmitter(submitterSubject);
                 try {
                 	ObjectFormatIdentifier fmtid = 
-                		ObjectFormatCache.getInstance().getFormat(fmtidStr).getFmtid();
-                	sysMeta.setFmtid(fmtid);
+                		ObjectFormatCache.getInstance().getFormat(fmtidStr).getFormatId();
+                	sysMeta.setFormatId(fmtid);
                 } catch (NotFound nfe) {
                   logMetacat.error("The objectFormat " + fmtidStr +
                   	" is not registered. Setting the default format id.");
                   ObjectFormatIdentifier fmtid = new ObjectFormatIdentifier();
                   fmtid.setValue("application/octet-stream");
-                  sysMeta.setFmtid(fmtid);
+                  sysMeta.setFormatId(fmtid);
                 }
                 sysMeta.setSize(size);
                 if (obsoletes != null) {
@@ -1067,7 +1072,7 @@
             String checksum, String checksumAlgorithm, String originMemberNode,
             String authoritativeMemberNode, long modifiedDate, String submitter, 
             String guid, String objectFormat, BigInteger size, boolean replicationAllowed,
-            int numberReplicas, String obsoletes, String obsoletedBy)
+            int numberReplicas, String obsoletes, String obsoletedBy, BigInteger serialVersion)
     {
         DBConnection dbConn = null;
         int serialNumber = -1;
@@ -1082,8 +1087,9 @@
             String query = "update " + TYPE_SYSTEM_METADATA + 
                 " set (date_uploaded, rights_holder, checksum, checksum_algorithm, " +
                 "origin_member_node, authoritive_member_node, date_modified, " +
-                "submitter, object_format, size, replication_allowed, number_replicas, obsoletes, obsoleted_by) " +
-                "= (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?) where guid = ?";
+                "submitter, object_format, size, replication_allowed, number_replicas, " +
+                "obsoletes, obsoleted_by, serial_version) " +
+                "= (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?) where guid = ?";
             PreparedStatement stmt = dbConn.prepareStatement(query);
             
             //data values
@@ -1101,9 +1107,10 @@
             stmt.setInt(12, numberReplicas);
             stmt.setString(13, obsoletes);
             stmt.setString(14, obsoletedBy);
+            stmt.setString(15, serialVersion.toString());
 
             //where clause
-            stmt.setString(15, guid);
+            stmt.setString(16, guid);
             logMetacat.debug("stmt: " + stmt.toString());
             //execute
             int rows = stmt.executeUpdate();
@@ -1245,12 +1252,14 @@
 				sm.getDateSysMetadataModified() == null ? null: sm.getDateSysMetadataModified().getTime(),
 				sm.getSubmitter() == null ? null: sm.getSubmitter().getValue(), 
         sm.getIdentifier().getValue(),
-        sm.getFmtid() == null ? null: sm.getFmtid().getValue(),
+        sm.getFormatId() == null ? null: sm.getFormatId().getValue(),
         sm.getSize(),
         replicationAllowed, 
         numberReplicas,
         sm.getObsoletes() == null ? null:sm.getObsoletes().getValue(),
-        sm.getObsoletedBy() == null ? null: sm.getObsoletedBy().getValue());
+        sm.getObsoletedBy() == null ? null: sm.getObsoletedBy().getValue(),
+        sm.getSerialVersion()
+        );
         
         String guid = sm.getIdentifier().getValue();
         
@@ -1583,7 +1592,7 @@
                 // set the format type
                 ObjectFormatIdentifier fmtid = new ObjectFormatIdentifier();
             	fmtid.setValue(fmtidStr);
-                oi.setFmtid(fmtid);
+                oi.setFormatId(fmtid);
                 
 //                try {
 //	                oi.setFmtid(ObjectFormatCache.getInstance().getFormat(fmtidStr).getFmtid());
Index: build.xml
===================================================================
--- build.xml	(revision 6560)
+++ build.xml	(revision 6561)
@@ -271,7 +271,7 @@
 		<property name="docdir" value="./docs" />
 		<property name="cgidir" value="./cgi-bin" />
 		<property name="testdir" value="./test" />
-		<property name="testtorun" value="CNodeServiceTest" />
+		<property name="testtorun" value="InlineDataAccessTest" />
 		<property name="junittestsdir"
 			value="./test/edu/ucsb/nceas/metacattest" />
 		<property name="junitnettestsdir"