Index: test/edu/ucsb/nceas/metacat/dataone/SystemMetadataManagerTest.java
===================================================================
--- test/edu/ucsb/nceas/metacat/dataone/SystemMetadataManagerTest.java	(revision 6563)
+++ test/edu/ucsb/nceas/metacat/dataone/SystemMetadataManagerTest.java	(nonexistent)
@@ -1,147 +0,0 @@
-/**
- *  '$RCSfile$'
- *  Copyright: 2010 Regents of the University of California and the
- *              National Center for Ecological Analysis and Synthesis
- *  Purpose: To test the Access Controls in metacat by JUnit
- *
- *   '$Author: berkley $'
- *     '$Date: 2010-05-03 14:26:08 -0700 (Fri, 14 Aug 2009) $'
- * '$Revision: 5027 $'
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- */
-
-package edu.ucsb.nceas.metacat.dataone;
-
-import java.io.StringBufferInputStream;
-import java.security.MessageDigest;
-
-import junit.framework.Test;
-import junit.framework.TestSuite;
-import edu.ucsb.nceas.MCTestCase;
-
-/**
- * A JUnit test for testing the dataone SystemMetadataManager class
- */
-public class SystemMetadataManagerTest extends MCTestCase 
-{   
-    /**
-    * consstructor for the test
-    */
-    public SystemMetadataManagerTest(String name)
-    {
-        super(name);
-    }
-  
-    /**
-	 * Establish a testing framework by initializing appropriate objects
-	 */
-	public void setUp() throws Exception 
-	{
-		super.setUp();
-	}
-
-	/**
-	 * Release any objects after tests are complete
-	 */
-	public void tearDown() 
-	{
-	}
-
-	/**
-	 * Create a suite of tests to be run together
-	 */
-	public static Test suite() 
-	{
-		TestSuite suite = new TestSuite();
-		suite.addTest(new SystemMetadataManagerTest("initialize"));
-		suite.addTest(new SystemMetadataManagerTest("testSingletonAccessor"));
-
-		//suite.addTest(new CrudServiceTest(""));
-		return suite;
-	}
-	
-	
-	/**
-	 * getInstance()
-	 */
-	public void testSingletonAccessor()
-	{
-	    printTestHeader("testSingletonAccessor");
-	    SystemMetadataManager smm = SystemMetadataManager.getInstance();
-	    assertNotNull(smm);
-	}
-	
-	/**
-	 * Run an initial test that always passes to check that the test harness is
-	 * working.
-	 */
-	public void initialize() 
-	{
-	    printTestHeader("initialize");
-		assertTrue(1 == 1);
-	}
-	
-	/**
-	 * print a header to start each test
-	 */
-	private void printTestHeader(String testName)
-	{
-	    System.out.println();
-	    System.out.println("********************************** " + testName + " **********************************");
-	}
-  
-	/**
-	 * produce an md5 checksum for item
-	 */
-	private String checksum(String item)
-	  throws Exception
-	{
-        StringBufferInputStream fis =  new StringBufferInputStream(item);
-        
-        byte[] buffer = new byte[1024];
-        MessageDigest complete = MessageDigest.getInstance("MD5");
-        int numRead;
-        
-        do 
-        {
-          numRead = fis.read(buffer);
-          if (numRead > 0) 
-          {
-            complete.update(buffer, 0, numRead);
-          }
-        } while (numRead != -1);
-        
-        
-        return getHex(complete.digest());
-	}
-	
-	/**
-	 * convert a byte array to a hex string
-	 */
-	private static String getHex( byte [] raw ) 
-	{
-	    final String HEXES = "0123456789ABCDEF";
-        if ( raw == null ) {
-          return null;
-        }
-        final StringBuilder hex = new StringBuilder( 2 * raw.length );
-        for ( final byte b : raw ) {
-          hex.append(HEXES.charAt((b & 0xF0) >> 4))
-             .append(HEXES.charAt((b & 0x0F)));
-        }
-        return hex.toString();
-    }
-}
Index: src/edu/ucsb/nceas/metacat/dataone/SystemMetadataManager.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/SystemMetadataManager.java	(revision 6563)
+++ src/edu/ucsb/nceas/metacat/dataone/SystemMetadataManager.java	(nonexistent)
@@ -1,68 +0,0 @@
-/**
- * 
- */
-package edu.ucsb.nceas.metacat.dataone;
-
-import org.dataone.service.types.v1.SystemMetadata;
-
-import edu.ucsb.nceas.metacat.IdentifierManager;
-import edu.ucsb.nceas.metacat.McdbDocNotFoundException;
-
-/**
- * @author berkley
- *
- * Class to handle SystemMetadata object in the metacat system
- */
-public class SystemMetadataManager
-{
-    //singleton instance
-    private static SystemMetadataManager manager = null;
-    private IdentifierManager idManager = null;
-    
-    /**
-     * private constructor.  Use the singleton getInstance() method to use
-     * this class
-     */
-    private SystemMetadataManager()
-    {
-        idManager = IdentifierManager.getInstance();
-    }
-    
-    /**
-     * get a singleton instance of this class
-     */
-    public static SystemMetadataManager getInstance()
-    {
-        if(manager == null)
-        {
-            manager = new SystemMetadataManager();
-        }
-        return manager;
-    }
-    
-    /**
-     * return true if the document represented by guid has a system metadata
-     * document registered in the systemmetadata table
-     * @param guid
-     * @return
-     */
-    public boolean documentHasSystemMetadata(String guid)
-    {
-        boolean hassm = false;
-        try
-        {
-            SystemMetadata sm = idManager.getSystemMetadata(guid);
-            if(sm != null && !sm.getIdentifier().getValue().equals(""))
-            {
-                hassm = true;
-            }
-        }
-        catch(McdbDocNotFoundException me)
-        {
-            //if this exception is thrown, the doc with guid does not have
-            //sys metadata
-        }
-        
-        return hassm;
-    }
-}